﻿
html {
    /* percentage used for accessibility, using relative font sizes (ie rem or em).
       default browser font-size = 16px. 62.5% sets rem/em to base 10 for better readibility
       62.5% translate 1rem = 10px (ie: 1.6rem = 16px, 2.2rem = 22px)  */
    font-size: 62.5%;
    height: 100%;
}

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 12px; /* browser fallback */
    font-size: 1.2em; /* 1.2em = 12px */
    height: 100%;
    margin-right: 0px !important;
}

a {
    cursor: pointer;
}
.align-top {
    vertical-align: top;
}
.link-green {
    color: #307F52;
    text-decoration: underline;
    cursor: pointer;
}
    .link-green:not(.disabled):hover {
        font-weight: bold;
    }

.link-green2 {
    color: #307F52;
    cursor: pointer;
}
    .link-green2:not(.disabled):hover {
        text-decoration: underline;
    }
    .link-green2.disabled {
        background-color: transparent;
        color: #767676;
        border: none;
        cursor: default;
    }
        .link-green2.disabled:hover {
            background-color: transparent;
            border: none;
        }
.underline {
    text-decoration: underline;
}

    .link-green.disabled,
    .link-green.disabled:hover {
        background-color: transparent;
        color: #767676;
        border: none;
        cursor: default;
    }

button.link-green:not(.disabled):hover {
    color: #307F52;
    text-decoration: underline;
    text-shadow: .25px 0px 0px; /*instead of font weight to prevent shifting*/
}

button {
    padding: 7px 14px;
    border-width: 0px;
    font-family: 'Open Sans', sans-serif;
    background-color: transparent;
    color: #333333;
    cursor: pointer;
    text-align: center;
    border-radius: 5px;
}

    button:focus {
        outline: 0;
    }

    button > span {
        vertical-align: middle;
    }

h1, h2, h3, h4, h5, h6 {
    color: #333333;
    font-weight: 600;
    margin: 0px;
    padding: 0px;
    vertical-align: middle;
}

h1, h2 {
    font-size: 24px; /* browser fallback */
    font-size: 2.4rem;
}
h3, h4, h5, h6 {
    font-size: 12px; /* browser fallback */
    font-size: 1.2rem;
}

hr {
    margin: 0px;
    padding: 0px;
    border: 0;
    border-top: 1px solid #9e9e9e;
}

img {
    display: inline-block;
}

input, select, .input-like {
    border-radius: 3px;
    font-weight: 400;
    border: 1px solid #9e9e9e;
    color: #333333;
}

    input[type=button], input[type=submit] {
        font-family: 'Montserrat', sans-serif;
        font-weight: 400;
        cursor: pointer;
    }

    input[type=text], input[type=number], input[type=password], select, .input-like {
        padding: 5px;
        box-sizing: border-box;
    }

    input[type=checkbox] {
    }

    input[type=text]:disabled,
    input[type=text].disabled,
    input[type=text].disabled:hover {
        background-color: #F2F2F2;
        color: #767676 !important;
        border: solid 1px #BDBDBD;
    }

    input[type="radio"]:disabled + label {
        color: #767676;
    }

    input[type="checkbox"]:disabled + label {
        color: #767676 ;
    }

    select:disabled {
        background-color: #d1d1d1;
    }

    input.pad-8 {
        padding: 8px;
    }

    select option:checked {
        background-color: #BFE1CD;
        color: #333333;
    }

ul {
    list-style-type: none;
    margin: 0px;
    padding: 1px;
}

p {
    margin-bottom: 16px;
}

fieldset {
    font-size: inherit;
}

::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color: #c2c2c2;
}

:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color: #c2c2c2;
    opacity: 1;
}

::-moz-placeholder { /* Mozilla Firefox 19+ */
    color: #c2c2c2;
    opacity: 1;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #c2c2c2;
}

.radioBtnContainer > span {
    display: flex;
    align-items: center;
}

.error-message, .text-red {
    color: #CC0B00;
}

.error-msg {
    color: #CC0B00;
    font-weight: bold;
}

/* Positioning */
.d-flex {
    display: flex;
}

.d-flex-column {
    display: flex;
    flex-direction: column;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-no-shrink {
    flex-shrink: 0;
}

.align-self-start {
    align-self: flex-start;
}

.align-items-baseline {
    align-items: baseline;
}

.align-items-center {
    align-items: center;
}

.align-items-end {
    align-items: flex-end;
}

.align-self-center {
    align-self: center;
}

.justify-content-between {
    justify-content: space-between;
}

.justify-content-around {
    justify-content: space-around;
}

.justify-content-center {
    justify-content: center;
}

.justify-content-end {
    justify-content: flex-end;
}

.content-opposite-ends {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.flex-none {
    flex: none;
}

.grow-1 {
    flex-grow: 1;
}

.basis-0 {
    flex-basis: 0;
}

.basis-25 {
    flex-basis: 25%;
}

.basis-40 {
    flex-basis: 40%;
}

.basis-50 {
    flex-basis: 50%;
}

.basis-60 {
    flex-basis: 60%;
}

.basis-75 {
    flex-basis: 75%;
}

.basis-100 {
    flex-basis: 100%;
}

.flex-break {
    display: block;
    width: 100%;
    flex-basis: 100%;
    height: 0;
    border: none;
}

.rtl {
    direction: rtl;
}

.w-12-5 {
    width: 12.5%;
}

.w-20 {
    width: 20%;
}

.w-25 {
    width: 25%;
}

.w-30 {
    width: 30%;
}

.w-37-5 {
    width: 37.5%;
}

.w-45 {
    width: 45%;
}

.w-50 {
    width: 50%;
}

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

.d-block {
    display: block;
}

.d-inline-block {
    display: inline-block;
}

.d-table {
    display: table;
}

.d-table-cell {
    display: table-cell;
}

.visible {
    visibility: visible;
}

.invisible {
    visibility: hidden;
}

.text-right {
    text-align: right;
}

.text-bold {
    font-weight: 700;
}

.text-semibold {
    font-weight: 600;
}

.text-italic {
    font-style: italic;
}

.align-middle {
    vertical-align: middle;
}

.position-absolute {
    position: absolute;
}

.bdr-rad-4 {
    border-radius: 4px;
}

.resize-none {
    resize: none;
}

.loader-container {
    background-color: rgba(255, 255, 255, 0.8);
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1000;
}

    .loader-container .loader {
        border: 5px solid #dbdbdb;
        border-top: 5px solid #27AE60;
        border-radius: 50%;
        width: 80px;
        height: 80px;
        animation: spin 1.5s linear infinite;
        margin: auto;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        position: absolute;
    }

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
tr:nth-child(even) {
    background: #F2F2F2;
}

tr:nth-child(odd) {
    background: #FFF
}

/*#region .eriGrid*/

.eriGrid {
}

    .eriGrid th {
        background-color: #F2F2F2;
        color: #333333;
        vertical-align: middle !important;
    }

    .eriGrid tr,
    .eriGrid tr:nth-child(even),
    .eriGrid tr:nth-child(odd) {
        height: 37px;
        background-color: #FFF;
    }

        .eriGrid tr:not(:last-child) td {
            border-bottom: solid 1px #BDBDBD;
        }


/* #endregion .eriGrid */

.help-icon {
    background-image: url(/Images/IconSprite20251006.svg);
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin: 0px 3px 2px;
    background-position: -170px -150px;
    height: 14px;
    width: 14px;
    cursor: pointer;
}
.blk-help-icon {
    background-image: url(/Images/IconSprite20251006.svg);
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin: 0px 3px 2px;
    background-position: -170px -114px;
    height: 14px;
    width: 14px;
    cursor: pointer;
}

.gry-help-icon {
    background-image: url(/Images/IconSprite20251006.svg);
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin: 0px 3px 2px;
    background-position: -170px -168px;
    height: 14px;
    width: 14px;
    cursor: pointer;
}

.white-help-icon {
    background-image: url(/Images/IconSprite20251006.svg);
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin: 0px 3px 2px;
    background-position: -170px -186px;
    height: 14px;
    width: 14px;
    cursor: pointer;
}

    .green-help-icon {
    background-image: url('../../Content/images/Icon_Help_Green.png');
    display: inline-block;
    height: 14px;
    width: 14px;
}

    .green-help-icon:hover {
        cursor: pointer;
    }

.ic-calendar-black {
    background-image: url('../../Content/images/icons/ic-sm-calendar-black.svg');
    display: inline-block;
    height: 18px;
    width: 18px;
    background-repeat: no-repeat;
}

.ic-calendar-green {
    background-image: url('../../Content/images/icons/ic-sm-calendar-green.svg');
    display: inline-block;
    height: 18px;
    width: 18px;
    background-repeat: no-repeat;
}

.tooltip-container {
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9000;
}

    .tooltip-container:focus {
        outline: none;
    }

    .tooltip-container.show {
        visibility: visible;
    }

    .tooltip-container .tooltip-content {
        color: #fff;
        display: block;
        padding: 8px 16px;
        width: 100%;
    }

    .tooltip-container .arrow {
        content: "";
        position: absolute;
        border-style: solid;
    }

a[data-tooltip]:hover::after {
    content: attr(data-tooltip);
    color: #333333;
    background-color: #DDDDDD;
    box-shadow: 0px 3px 6px #DDDDDD;
    padding: 8px 8px 8px 8px;
    position: absolute;
}

.eri-progress {
    border: 1px solid #bdbdbd;
    height: 24px;
    font-size: 0;
}

.eri-progress-bar {
    transition: width 0.6s ease;
    height: 100%;
    background-color: #27ae60;
    width: 0;
    display: inline-block;
}

.eri-progress .progress-label {
    display: inline-block;
    line-height: 24px;
    width: 40px;
    text-align: center;
    font-size: 14px;
    vertical-align: bottom;
    height: 100%;
}

    .eri-progress .progress-label.inward {
        margin-left: -40px;
        color: white;
    }

    .eri-progress .progress-label.outward {
        margin-left: 0;
        color: #333333;
    }

.btn-link {
    padding: 0;
    font-family: inherit;
}

.green-text {
    color: #27AE60;
}

.dark-green-color {
    color: #307F52;
}

.dark-grey-text {
    color: #767676;
}

.red-text {
    color: #CC0B00;
}

.dark-red-text {
    color: #CC0B00;
}

.orange-text {
    color: #F5A623;
}

.maincopy-text {
    color: #333333;
}

.secondary-panel-background {
    background-color: #EFF3FF;
}

.bdr-form-outline {
    border: 1px solid #BDBDBD;
}

.eri-collapse {
    position: relative;
}

    .eri-collapse .collapse-button, .eri-collapse .expand-button {
        height: 20px;
        width: 20px;
        font-size: 10px;
        padding: 0;
        border-radius: 2px;
        background-color: #27ae60;
    }

    .eri-collapse .eri-collapsed-bar {
        background-color: white;
        border-right: 1px solid #BDBDBD;
        border-bottom: 1px solid #BDBDBD;
        height: calc(100% - 16px);
        width: 24px;
        text-align: center;
        padding-top: 5px;
        cursor: pointer;
    }

        .eri-collapse .eri-collapsed-bar .eri-bar-text {
            transform: rotate(90deg);
            display: block;
            margin-top: 10px;
            white-space: nowrap;
        }

    .eri-collapse .collapse-content {
        display: flex;
        flex-flow: column nowrap;
        height: 100%;
    }


/* V2 toggle switch control */
.switch {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin-top: 0;
    margin-left: 4px;
}

    .switch:not(.disabled):hover {
        cursor: pointer;
    }
    .switch.disabled, .switch.disabled:hover {
        background-color: transparent;
        border-color: transparent;
    }

    .switch input {
        width: 0;
        height: 0;
        display: none;
    }

.toggleSlider {
    position: absolute;
    width: 22px;
    height: 13px;
    top: 2px;
    background-color: #E0E0E0;
    border-radius: 34px;
}

    .toggleSlider:before {
        position: absolute;
        content: "";
        height: 9px;
        width: 9px;
        left: 2px;
        bottom: 2px;
        border-radius: 50%;
        background-color: #FFFFFF;
        -webkit-transition: -webkit-transform .4s;
        transition: transform .4s;
    }

.switch:not(.disabled) > .toggleSlider.always-active {
    background-color: #307F52;
}

.switch:not(.disabled) > input[type=checkbox]:checked + .toggleSlider {
    background-color: #307F52;
}

    .switch > input[type=checkbox]:checked + .toggleSlider:before {
        -webkit-transform: translateX(8px);
        -ms-transform: translateX(8px);
        transform: translateX(8x);
    }

.switch-on-label {
    color: #9E9E9E !important;
    font-weight: 400;
    padding-left: 27px;
    display: inline-block;
}
    .switch-on-label > :first-child {
        color: #9E9E9E !important;
    }

.switch-off-label {
    color: #333333;
    font-weight: bold;
    display: inline-block;
}
    .switch-off-label > :first-child {
        color: #424242 !important;
    }

.switch-on .switch-on-label {
    color: #333333;
    font-weight: bold;
}
    .switch-on .switch-on-label > :first-child {
        color: #424242 !important;
    }

.switch-on .switch-off-label {
    color: #9E9E9E !important;
    font-weight: 400;
}
    .switch-on .switch-off-label > :first-child {
        color: #9E9E9E !important;
    }

.semiBold {
    font-weight: 600;
}

.smallBold {
    font-weight: 400;
}

.tile {
    border-radius: 24px;
    color: #ffffff;
    width: 32%;
    height: 117px;
    padding: 16px;
    float: left;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

    .tile.blue {
        background-color: #3B66B8;
    }

    .tile.green {
        background-color: #307F52;
    }

    .tile span {
        display: block;
        font-size: 30px;
        font-weight: bold;
        margin-bottom: 8px;
    }

    .tile label {
        font-size: 13px;
        font-weight: bold;
    }

    .tile .icon {
        height: 40px;
        width: 40px;
    }

.input-icon {
    position: relative;
}

.input-icon i {
    position: absolute;
}

    .input-icon.input-icon-right i {
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        margin-right: 7px;
    }

.autoCompleteContainer {
    border-radius: 3px;
    font-weight: 400;
    border: 1px solid #9e9e9e;
    color: #333333;
}
.autoCompleteContainer > input {
    border: none;
}
.autoCompleteContainer > .full-width-with-icon {
    width: 88%;
}

.blur {
    -webkit-filter: blur(3px);
    filter: blur(3px);
    user-select: none;
    pointer-events: none;
}